/* eslint-disable @typescript-eslint/no-unused-expressions */
import React from 'react';
import { IconButton } from './icon-button';
import { faOpenid } from '@fortawesome/free-brands-svg-icons';

describe('<IconButton />', () => {
  it('renders', () => {
    cy.mount(<IconButton icon={faOpenid}>Button</IconButton>);
  });

  it('is clickable', () => {
    const onClick = cy.stub();
    cy.mount(
      <IconButton icon={faOpenid} onClick={onClick} data-cy='icon-button'>
        Button
      </IconButton>,
    );
    cy.getBySel('icon-button')
      .click()
      .then(() => {
        expect(onClick).to.be.calledOnce;
      });
  });
});
